Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
Interface MavenRepositoryHandlerConvention

    public interface MavenRepositoryHandlerConvention

Allows maven repositories for publishing artifacts to be defined. The maven plugin mixes-in this interface to the `RepositoryHandler` associated with each task of type `Upload`.

Field Summary
`static String` | `DEFAULT_MAVEN_DEPLOYER_NAME`
`static String` | `DEFAULT_MAVEN_INSTALLER_NAME`

Method Summary
`GroovyMavenDeployer` | `mavenDeployer()`
`GroovyMavenDeployer` | `mavenDeployer(Closure configureClosure)`
`GroovyMavenDeployer` | `mavenDeployer(Map<String,?> args)` Adds a repository for publishing to a Maven repository.
`GroovyMavenDeployer` | `mavenDeployer(Map<String,?> args, Closure configureClosure)` Behaves the same way as `mavenDeployer(java.util.Map)`.
`MavenResolver` | `mavenInstaller()`
`MavenResolver` | `mavenInstaller(Closure configureClosure)`
`MavenResolver` | `mavenInstaller(Map<String,?> args)` Adds a repository for installing to a local Maven cache.
`MavenResolver` | `mavenInstaller(Map<String,?> args, Closure configureClosure)` Behaves the same way as `mavenInstaller(java.util.Map)`.

Field Detail

### DEFAULT_MAVEN_DEPLOYER_NAME

    static final String DEFAULT_MAVEN_DEPLOYER_NAME

See Also:
  Constant Field Values

### DEFAULT_MAVEN_INSTALLER_NAME

    static final String DEFAULT_MAVEN_INSTALLER_NAME

See Also:
  Constant Field Values

Method Detail

### mavenDeployer

    GroovyMavenDeployer mavenDeployer()

### mavenDeployer

    GroovyMavenDeployer mavenDeployer(Closure configureClosure)

### mavenDeployer

    GroovyMavenDeployer mavenDeployer(Map<String,?> args)

  Adds a repository for publishing to a Maven repository. This repository can not be used for reading from a Maven repository. The following parameter are accepted as keys for the map:

  Key | Description of Associated Value
  --- | ---
  `name` | (optional) The name of the repository. The default is mavenDeployer-{SOME_ID}. The name is used in the console output, to point to information related to a particular repository. A name must be unique amongst a repository group.

  Parameters:
    `args` - The argument to create the repository
  Returns:
    The added repository
  See Also:
    `mavenDeployer(java.util.Map, groovy.lang.Closure)`

### mavenDeployer

    GroovyMavenDeployer mavenDeployer(Map<String,?> args,
                                      Closure configureClosure)

  Behaves the same way as `mavenDeployer(java.util.Map)`. Additionally a closure can be passed to further configure the added repository.

  Parameters:
    `args` - The argument to create the repository
    `configureClosure` -
  Returns:
    The added repository

### mavenInstaller

    MavenResolver mavenInstaller()

### mavenInstaller

    MavenResolver mavenInstaller(Closure configureClosure)

### mavenInstaller

    MavenResolver mavenInstaller(Map<String,?> args)

  Adds a repository for installing to a local Maven cache. This repository can not be used for reading. The following parameter are accepted as keys for the map:

  Key | Description of Associated Value
  --- | ---
  `name` | (optional) The name of the repository. The default is mavenInstaller-{SOME_ID}. The name is used in the console output, to point to information related to a particular repository. A name must be unique amongst a repository group.

  Parameters:
    `args` - The argument to create the repository
  Returns:
    The added repository
  See Also:
    `(java.util.Map, groovy.lang.Closure)`

### mavenInstaller

    MavenResolver mavenInstaller(Map<String,?> args,
                                 Closure configureClosure)

  Behaves the same way as `mavenInstaller(java.util.Map)`. Additionally a closure can be passed to further configure the added repository.

  Parameters:
    `args` - The argument to create the repository
  Returns:
    The added repository

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD